Package org.apache.maven.scm.provider.svn

## Class SvnScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.svn.SvnScmTestUtils

    public final class SvnScmTestUtils
    extends java.lang.Object

Author:
  Trygve Laugstøl

### Field Summary

Fields
`static java.lang.String` `SVN_COMMAND_LINE` 'svn' command line
`static java.lang.String` `SVNADMIN_COMMAND_LINE` 'svnadmin' command line

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getScmUrl​(java.io.File repositoryRootFile)`
`static void` `initializeRepository​(java.io.File repositoryRoot)`
`static void` `initializeRepository​(java.io.File repositoryRoot, java.io.File dump)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SVN_COMMAND_LINE

    public static final java.lang.String SVN_COMMAND_LINE

'svn' command line

See Also:
  Constant Field Values

#### SVNADMIN_COMMAND_LINE

    public static final java.lang.String SVNADMIN_COMMAND_LINE

'svnadmin' command line

See Also:
  Constant Field Values

### Method Detail

#### initializeRepository

    public static void initializeRepository​(java.io.File repositoryRoot)
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### initializeRepository

    public static void initializeRepository​(java.io.File repositoryRoot,
                                            java.io.File dump)
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getScmUrl

    public static java.lang.String getScmUrl​(java.io.File repositoryRootFile)
                                      throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`